"use strict";
const clsx = require("clsx");
const styles_lib_css_atoms_sprinkles_css_cjs = require("../css/atoms/sprinkles.css.cjs");
const styles_lib_components_Column_Column_cjs = require("../components/Column/Column.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const clsx__default = /* @__PURE__ */ _interopDefaultCompat(clsx);
const resolveResponsiveProp = (value, mobileAtoms, tabletAtoms, desktopAtoms, wideAtoms) => {
  if (typeof value === "string" || typeof value === "number") {
    return mobileAtoms[value];
  }
  const normalized = styles_lib_css_atoms_sprinkles_css_cjs.normalizeResponsiveValue(value);
  const [mobile, tablet, desktop, wide] = styles_lib_components_Column_Column_cjs.optimizeResponsiveArray([
    normalized.mobile ?? null,
    normalized.tablet ?? null,
    normalized.desktop ?? null,
    normalized.wide ?? null
  ]);
  const mobileAtom = mobileAtoms[mobile];
  const tabletAtom = tabletAtoms[tablet];
  const desktopAtom = desktopAtoms[desktop];
  const wideAtom = wideAtoms[wide];
  return clsx__default.default(mobileAtom, tabletAtom, desktopAtom, wideAtom);
};
exports.resolveResponsiveProp = resolveResponsiveProp;
